Subject: Re: clean/smudge-filter with "attached file"?

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Jan 2022 12:06:56 -0800

Josef Wolf <[email-masked]> writes:

> Those files seemed to be good candidates for git's clean/smudge-filter.

Perhaps post-checkout hook to notice missing checksum files and
recompute them would work, but this is clearly outside of what
clean/smudge wants to do and what they were invented for (i.e. the
contents of the file in the working tree itself need to be adjusted
in the working tree and in the repository, hence there is a filter
in each direction).  As the mechanism being "filter", i.e. a
bytestream is converted into another bytestream, it is not even
designed to muck with other things on the filesystem.